Bug 163474 - excessive polling interrupts on empty or idle IDE CD/DVD drive
excessive polling interrupts on empty or idle IDE CD/DVD drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-17 20:13 EDT by John Reiser
Modified: 2013-03-05 22:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2005-07-17 20:13:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When Gnome desktop with hal is running (from a default Workstation install of FC4), then an empty CD or DVD drive on an IDE channel sees interrupts at 9 or 10 per second.  After inserting recorded data media (ISO9660) and waiting for the automount to settle, then the drive sees interrupts at about 2 per second.  Both of these rates are too high.  Most drives take about a full second to open or close the tray, so once per second is plenty often for polling.  [Do some drives notify for media changes, which would make polling unnecessary?  How can the administrator take advantage?]

Version-Release number of selected component (if applicable):
hal-0.5.2-2

How reproducible:
Always

Steps to Reproduce:
1. cat /proc/interrupts | grep ide; sleep 10; cat /proc/interrutps | grep ide
2.
3.
  

Actual Results:  With an empty drive, the corresponding IDE channel sees between 90 and 100 interrupts in 10 seconds (10/second).  With a disk mounted, the corresponding IDE channel sees about 20 interrupts in 10 seconds (2/second).

Expected Results:  Polling frequency should be 1 Hz or less.

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:10:34 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 John Reiser 2007-01-22 15:16:27 EST
The behavior persists in Fedora Core 6, with the entire system "yum update" as
of today, specifically these components which seem relevant:
  hal-0.5.8.1-6.fc6
  kernel-2.6.19-1.2895.fc6
  gnome-desktop-2.16.0-1.fc6
  nautilus-2.16.2-5.fc6
  autofs-5.0.1-0.rc3.6
Namely, an empty IDE CD/DVD drive sees around 9 or 10 interrupts per second, and
a drive with a written disk (iso9660, auto-mounted, otherwise idle) sees about 2
or 3 interrupts per second.  I changed the Version of this bugzilla report to fc6.

If hal is not the appropriate component for this issue, then please suggest a
better culprit.  Also, is there a setting to control the frequency of polling?
Comment 3 Bug Zapper 2008-04-03 21:59:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 John Reiser 2008-04-04 20:16:50 EDT
Please change 'Version' to rawhide; bugzilla won't let me.

The problem persists in rawhide kernel-2.6.25-0.185.rc7.git6.fc9.x86_64.  With
two idle IDE CD/DVD drives, I see 21 interrupts per second:
cat /proc/interrupts | grep 15: ; sleep 10; cat /proc/interupts | grep 15:

"ps ax" says that hald-addon-storage is polling each drive "(every 2 sec)".
Comment 5 John Reiser 2008-04-04 20:18:53 EDT
I checked the box for "I am providing the requested information" when I
submitted Comment #4 above, but the updated page still has Status: NEEDINFO.

This time I'll check the box again, and _also_ tick the radio button for Change
to Assigned.
Comment 6 Jon Stanley 2008-04-05 00:50:48 EDT
changed over to rawhide. 

Let us know if there's anything we can do to help resolve this - this falls into
the category of "we wake up too much".
Comment 7 Bug Zapper 2008-05-13 22:00:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Richard Hughes 2008-05-30 07:26:50 EDT
Sure we poll as some drives do not support media detection. I'm not sure what
you want us to do here.
Comment 9 John Reiser 2008-06-01 01:49:09 EDT
As stated in this original buzilla report, what I want is: "Expected Results: 
Polling frequency should be 1 Hz or less."

Additionally, it would be nice for the system administrator to change the
frequency easily, including setting it to zero (no polling.)
Comment 10 David Zeuthen 2008-06-01 13:40:35 EDT
(In reply to comment #9)
> As stated in this original buzilla report, what I want is: "Expected Results: 
> Polling frequency should be 1 Hz or less."

$ ps aux|grep hald-addon-storage
root      2719  0.0  0.0  24172  1116 ?        S    May31   0:01
hald-addon-storage: polling /dev/sr0 (every 2 sec)

Of course this translates into more wakeups etc. from the kernel driver.

> Additionally, it would be nice for the system administrator to change the
> frequency easily, including setting it to zero (no polling.)

$ man hal-disable-polling
Comment 11 Bug Zapper 2009-06-09 18:02:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 12:53:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.